#include <stdio.h>
#include <stdlib.h>

int main()
{
    int T,N,K,x,p[10];
    long M,z;
    scanf("%d",&T);
    for(int i=0;i<T;i++){
    scanf("%d",&N);
    scanf("%ld",&M);
    scanf("%d",&K);
    x=N-K+1;
    for(int i=0;i<=x;i++)
        z+=i;
    if(z+K-1<=M)p[i]=1;
        else p[i]=2;
    z=0;
    }
    for(int i=0;i<T;i++){
        if(p[i]==1)printf("Tak\n");
        if(p[i]==2)printf("Nie\n");

    }
    return 0;
}